Bug 1248106 - missing package to use pxe_ilo driver with ironic
missing package to use pxe_ilo driver with ironic
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Director
Assigned To: chris alfonso
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 11:30 EDT by Nicolas Hicher
Modified: 2016-04-18 02:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 12:25:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Hicher 2015-07-29 11:30:08 EDT
Description of problem:

When I try to use pxe_ilo driver, I got this error message when I try to restart openstack-ironic-conductor

ironic.openstack.common.threadgroup DriverLoadError: Driver PXEAndIloDr
iver could not be loaded. Reason: Unable to import proliantutils library.


Version-Release number of selected component (if applicable):


How reproducible:

Activate the pxe_ilo driver in /etc/ironic/ironic.conf:

enabled_drivers=pxe_ipmitool,pxe_ssh,pxe_drac,pxe_ilo


Actual results:

openstack-ironic-conductor is down


Expected results:

openstack-ironic-conductor is up and running

Additional info:

I have to install python-proliantutils, restart openstack-ironic-conductor to fix the issue
Comment 3 Mike Burns 2015-07-29 11:51:02 EDT
Yes, the package is not installed by default.  This could be just a documentation issue since I'm not sure we want to pull all the vendor packages in by default.
Comment 4 Nicolas Hicher 2015-07-29 12:25:43 EDT
I will open a bug on documentation

Note You need to log in before you can comment on or make changes to this bug.